// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "API Support",
            "url": "http://www.swagger.io/support",
            "email": "support@swagger.io"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/composite-cases": {
            "get": {
                "description": "List composite cases with pagination",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "composite"
                ],
                "summary": "List composite cases",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Page number",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "Page size",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Status",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            },
            "post": {
                "description": "Create a new composite case",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "composite"
                ],
                "summary": "Create a composite case",
                "parameters": [
                    {
                        "description": "Create Composite Case Request",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.CreateCompositeCaseRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        },
        "/composite-cases/{id}": {
            "get": {
                "description": "Get a composite case by ID",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "composite"
                ],
                "summary": "Get a composite case",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Composite Case ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            },
            "put": {
                "description": "Update a composite case by ID",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "composite"
                ],
                "summary": "Update a composite case",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Composite Case ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Update Composite Case Request",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.UpdateCompositeCaseRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            },
            "delete": {
                "description": "Delete a composite case by ID",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "composite"
                ],
                "summary": "Delete a composite case",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Composite Case ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        },
        "/test/core-transfer": {
            "post": {
                "description": "Core transfer endpoint for handling core banking transfer operations",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "test"
                ],
                "summary": "Core transfer endpoint",
                "parameters": [
                    {
                        "description": "Core transfer request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/handlers.CoreTransfer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        },
        "/test/test-endpoint": {
            "post": {
                "description": "Test endpoint for API functionality verification",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "test"
                ],
                "summary": "Test endpoint",
                "parameters": [
                    {
                        "description": "Test request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/handlers.Endpoint"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        },
        "/workflows/start": {
            "post": {
                "description": "Start a new workflow",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "workflow"
                ],
                "summary": "Start a workflow",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        },
        "/workflows/{id}": {
            "get": {
                "description": "Get the status of a workflow by ID",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "workflow"
                ],
                "summary": "Get workflow status",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Workflow ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        },
        "/workflows/{id}/results": {
            "get": {
                "description": "Get the results of a workflow by ID",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "workflow"
                ],
                "summary": "Get workflow results",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Workflow ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "handlers.CoreTransfer": {
            "type": "object",
            "properties": {
                "service": {
                    "type": "object",
                    "properties": {
                        "APP_HEAD": {
                            "type": "object",
                            "properties": {
                                "BranchId": {
                                    "type": "string"
                                },
                                "TlrNo": {
                                    "type": "string"
                                },
                                "array": {
                                    "type": "object",
                                    "properties": {
                                        "AuthTlrInf": {
                                            "type": "object",
                                            "properties": {
                                                "ApprTellerNo": {
                                                    "type": "string"
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        },
                        "QryRcrdNo": {
                            "type": "string"
                        },
                        "SYS_HEAD": {
                            "type": "object",
                            "properties": {
                                "PrvdSysSeqNo": {
                                    "type": "string"
                                },
                                "SvcCd": {
                                    "type": "string"
                                },
                                "SvcScn": {
                                    "type": "string"
                                },
                                "TranDt": {
                                    "type": "string"
                                },
                                "TranRetSt": {
                                    "type": "string"
                                },
                                "array": {
                                    "type": "object",
                                    "properties": {
                                        "RetInf": {
                                            "type": "object",
                                            "properties": {
                                                "RetCd": {
                                                    "type": "string"
                                                },
                                                "RetMsg": {
                                                    "type": "string"
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        },
                        "TxnStrtNo": {
                            "type": "string"
                        },
                        "array": {
                            "type": "array",
                            "items": {
                                "type": "object",
                                "properties": {
                                    "TxnInfArray": {
                                        "type": "object",
                                        "properties": {
                                            "AcctNm": {
                                                "type": "string"
                                            },
                                            "CnclRvrsFlg": {
                                                "type": "string"
                                            },
                                            "CnlNo": {
                                                "type": "string"
                                            },
                                            "CntprAcctNoOrCardNo": {
                                                "type": "string"
                                            },
                                            "ImprtBlkVchrNo": {
                                                "type": "string"
                                            },
                                            "ImprtBlkVchrTp": {
                                                "type": "string"
                                            },
                                            "OrigTxnSeqNo": {
                                                "type": "string"
                                            },
                                            "OthrBnkBnkNo": {
                                                "type": "string"
                                            },
                                            "RmkInf": {
                                                "type": "string"
                                            },
                                            "SubBrId": {
                                                "type": "string"
                                            },
                                            "TxnAfBal": {
                                                "type": "string"
                                            },
                                            "TxnAmt": {
                                                "type": "string"
                                            },
                                            "TxnCcy": {
                                                "type": "string"
                                            },
                                            "TxnCd": {
                                                "type": "string"
                                            },
                                            "TxnSmyDsc": {
                                                "type": "string"
                                            },
                                            "TxnSysDt": {
                                                "type": "string"
                                            },
                                            "TxnSysTm": {
                                                "type": "string"
                                            },
                                            "TxnTlrNo": {
                                                "type": "string"
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        },
        "handlers.Endpoint": {
            "type": "object",
            "properties": {
                "BODY": {
                    "type": "object",
                    "properties": {
                        "BASE_ACCT_NO": {
                            "type": "string"
                        },
                        "CARD_NO": {
                            "type": "array",
                            "items": {
                                "type": "object",
                                "properties": {
                                    "DOCUMENT_ID": {
                                        "type": "string"
                                    },
                                    "DOCUMENT_TYPE": {
                                        "type": "string"
                                    },
                                    "LINKMAN_NAME": {
                                        "type": "string"
                                    },
                                    "LINKMAN_TYPE": {
                                        "type": "string"
                                    },
                                    "PHONE_NO1": {
                                        "type": "string"
                                    },
                                    "PHONE_NO2": {
                                        "type": "string"
                                    }
                                }
                            }
                        },
                        "HANG_SEQ_NO": {
                            "type": "array",
                            "items": {
                                "type": "string"
                            }
                        },
                        "SERV_DETAIL": {
                            "type": "object",
                            "properties": {
                                "CHARGE_MODE": {
                                    "type": "string"
                                },
                                "DISC_FEE_AMT": {
                                    "type": "string"
                                },
                                "DISC_RATE": {
                                    "type": "object",
                                    "properties": {
                                        "CHARGE_MODE": {
                                            "type": "string"
                                        },
                                        "PHONE_NO2": {
                                            "type": "object",
                                            "properties": {
                                                "DOCUMENT_TYPE": {
                                                    "type": "array",
                                                    "items": {
                                                        "type": "object",
                                                        "properties": {
                                                            "DOCUMENT_ID": {
                                                                "type": "object",
                                                                "properties": {
                                                                    "LINKMAN_TYPE": {
                                                                        "type": "string"
                                                                    },
                                                                    "PHONE_NO2": {
                                                                        "type": "string"
                                                                    }
                                                                }
                                                            },
                                                            "DOCUMENT_TYPE": {
                                                                "type": "string"
                                                            },
                                                            "LINKMAN_NAME": {
                                                                "type": "string"
                                                            },
                                                            "LINKMAN_TYPE": {
                                                                "type": "string"
                                                            }
                                                        }
                                                    }
                                                },
                                                "LINKMAN_NAME": {
                                                    "type": "string"
                                                },
                                                "LINKMAN_TYPE": {
                                                    "type": "string"
                                                }
                                            }
                                        }
                                    }
                                },
                                "DISC_TYPE": {
                                    "type": "string"
                                },
                                "FEE_AMT": {
                                    "type": "string"
                                },
                                "FEE_TYPE": {
                                    "type": "string"
                                },
                                "ORIG_FEE_AMT": {
                                    "type": "string"
                                }
                            }
                        },
                        "SETTLEMENT_DATE": {
                            "type": "string"
                        },
                        "TRAN_AMT": {
                            "type": "string"
                        },
                        "TRAN_CCY": {
                            "type": "string"
                        },
                        "TRAN_TYPE": {
                            "type": "string"
                        }
                    }
                },
                "PUB_DOMAIN": {
                    "type": "object",
                    "properties": {
                        "AUTH_FLAG": {
                            "type": "string"
                        },
                        "AUTH_INFO_NUM": {
                            "type": "string"
                        },
                        "AUTH_STATUS": {
                            "type": "string"
                        },
                        "AUTH_TELLER": {
                            "type": "string"
                        },
                        "BRANCH_ID": {
                            "type": "string"
                        },
                        "CHANNEL_CODE": {
                            "type": "string"
                        },
                        "CONFIRM_FLAG": {
                            "type": "string"
                        },
                        "CONFIRM_STATUS": {
                            "type": "string"
                        },
                        "CONSUM_TRAN_DATE": {
                            "type": "string"
                        },
                        "CONSUM_TRAN_TIME": {
                            "type": "string"
                        },
                        "CURR_PAGE_NUM": {
                            "type": "string"
                        },
                        "LEGAL_CODE": {
                            "type": "string"
                        },
                        "PAGE_UP_DOWN": {
                            "type": "string"
                        },
                        "PER_PAGE_NUM": {
                            "type": "string"
                        },
                        "PROVID_TRAN_DATE": {
                            "type": "string"
                        },
                        "PUB_EXTEND": {
                            "type": "string"
                        },
                        "TRAN_TELLER": {
                            "type": "string"
                        }
                    }
                },
                "SYS_HEAD": {
                    "type": "object",
                    "properties": {
                        "CHARACTER_SET": {
                            "type": "string"
                        },
                        "COMM_TYPE": {
                            "type": "string"
                        },
                        "CONSUM_REQ_DATE": {
                            "type": "string"
                        },
                        "CONSUM_REQ_TIME": {
                            "type": "string"
                        },
                        "CONSUM_SYS_CODE": {
                            "type": "string"
                        },
                        "FILE_FLAG": {
                            "type": "string"
                        },
                        "GLOBAL_SEQ": {
                            "type": "string"
                        },
                        "LOCAL_LANG": {
                            "type": "string"
                        },
                        "PROVID_SYS_CODE": {
                            "type": "string"
                        },
                        "SCENES_CODE": {
                            "type": "string"
                        },
                        "SCENES_VERSION": {
                            "type": "string"
                        },
                        "SERVICE_NAME": {
                            "type": "string"
                        },
                        "SERVICE_REQ_SEQ": {
                            "type": "string"
                        },
                        "SERVICE_VERSION": {
                            "type": "string"
                        },
                        "SRC_ENC_NODE": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "models.CreateCompositeCaseRequest": {
            "type": "object",
            "required": [
                "name"
            ],
            "properties": {
                "description": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "steps": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CreateCompositeCaseStepRequest"
                    }
                }
            }
        },
        "models.CreateCompositeCaseStepRequest": {
            "type": "object",
            "required": [
                "step_name",
                "step_order",
                "step_type"
            ],
            "properties": {
                "activity_name": {
                    "type": "string"
                },
                "is_required": {
                    "type": "boolean"
                },
                "parameters_json": {
                    "type": "string"
                },
                "step_description": {
                    "type": "string"
                },
                "step_name": {
                    "type": "string"
                },
                "step_order": {
                    "type": "integer"
                },
                "step_type": {
                    "type": "string"
                }
            }
        },
        "models.UpdateCompositeCaseRequest": {
            "type": "object",
            "properties": {
                "description": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "steps": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.UpdateCompositeCaseStepRequest"
                    }
                }
            }
        },
        "models.UpdateCompositeCaseStepRequest": {
            "type": "object",
            "properties": {
                "activity_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "is_required": {
                    "type": "boolean"
                },
                "parameters_json": {
                    "type": "string"
                },
                "step_description": {
                    "type": "string"
                },
                "step_name": {
                    "type": "string"
                },
                "step_order": {
                    "type": "integer"
                },
                "step_type": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "100.118.61.45:18090",
	BasePath:         "/v1/api",
	Schemes:          []string{},
	Title:            "Beacon API",
	Description:      "This is a sample server for a beacon.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
